Page MenuHomePhabricator

Use EventLogging to track geo feature usage
Closed, ResolvedPublic

Description

The previous plan for assessing the current state of affairs was via adding request logging capabilities to various parts of the labs infrastructure, but that's a huge dependency that's not up to us to resolve. Therefore, I propose to add EventLogging tracking of the following features:

  • WikiMiniAtlas
  • WIWOSM
  • GeoHack

This should work on top-10 Wikipedias (because these features are user-added, making it consistenly work everywhere is a gigantic task).

Event Timeline

MaxSem created this task.Jun 18 2015, 9:36 PM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added a project: Maps-Sprint.
MaxSem added subscribers: MaxSem, Yurik, Deskana, Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 9:36 PM

Okay. To track what?

Usage, at least basic one initially. As in, track clicks on these.

We're going to probably need something more specific than "usage":

  1. What are these tools?
  2. Where do they live?
  3. What are the questions you are trying to answer?
  4. Dan, how highly is this task prioritised compared to existing tasks?
  5. Who writes the EventLogging schema?
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.Jun 24 2015, 8:27 PM

@MaxSem that's useful but it doesn't say anything about the above questions. You can write whatever EventLogging schemas you want but until @Deskana has put this task in context and prioritised it they're not getting visualised ;p.

Change 221012 had a related patch set uploaded (by MaxSem):
WIP: Track geo feature usage

https://gerrit.wikimedia.org/r/221012

MaxSem moved this task from In progress to Needs review on the Maps-Sprint board.Jun 30 2015, 9:45 PM

Change 221012 merged by jenkins-bot:
Track geo feature usage

https://gerrit.wikimedia.org/r/221012

Change 226224 had a related patch set uploaded (by MaxSem):
Enable tracking of geo features on enwiki

https://gerrit.wikimedia.org/r/226224

Change 226224 merged by jenkins-bot:
Enable tracking of geo features on enwiki

https://gerrit.wikimedia.org/r/226224

MaxSem closed this task as Resolved.Jul 24 2015, 8:12 PM
MaxSem claimed this task.
MaxSem moved this task from Needs review to Done on the Maps-Sprint board.

Enabled everywhere, data is coming, if there are problems or we need a dashboard, we will create another task.

Yes, as evidenced by fixes I'm committing.

ori added a subscriber: ori.Oct 6 2015, 3:31 AM

This has been deployed to production for two months. Do you need to collect more data, or can this be turned off for now? Or is this a permanent thing?

This has been deployed to production for two months. Do you need to collect more data, or can this be turned off for now? Or is this a permanent thing?

That's a question to @Tfinc.

This data is being actively dashboarded ( https://searchdata.wmflabs.org/maps/ ) to help Discovery decide what resources we want to invest in improving maps. I'd really prefer that this was left on, because otherwise we'll have gaps in our data which will hinder our efforts to be data driven in our resource allocation.

Yurik added a project: Maps.Nov 7 2015, 7:34 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2015, 7:34 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript
ori triaged this task as High priority.Feb 22 2016, 9:03 AM

This data is being actively dashboarded ( https://searchdata.wmflabs.org/maps/ ) to help Discovery decide what resources we want to invest in improving maps. I'd really prefer that this was left on, because otherwise we'll have gaps in our data which will hinder our efforts to be data driven in our resource allocation.

If you want to keep it on, you have to figure out a way to do it without cookie-ing users. The GeoFeaturesUser is currently tantamount to a persistent tracking cookie.

Ironholds lowered the priority of this task from High to Medium.Feb 22 2016, 4:58 PM

@ori if you're looking to make changes to the EL here I'd suggest open a new task rather than tweak the priority on a resolved one.

(This is not to say I don't think your concerns are good'ns we should work on, mind)

ori added a comment.Feb 22 2016, 7:14 PM

@ori if you're looking to make changes to the EL here I'd suggest open a new task rather than tweak the priority on a resolved one.

(This is not to say I don't think your concerns are good'ns we should work on, mind)

Yes, you're right. I'll create a new task.